Bug 1198145 (CVE-2014-3591) - CVE-2014-3591 libgcrypt: use ciphertext blinding for Elgamal decryption (new side-channel attack)
Summary: CVE-2014-3591 libgcrypt: use ciphertext blinding for Elgamal decryption (new ...
Keywords:
Status: NEW
Alias: CVE-2014-3591
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1198152 1198153 1198154 1198156
Blocks: 1198150
TreeView+ depends on / blocked
 
Reported: 2015-03-03 13:15 UTC by Vasyl Kaigorodov
Modified: 2020-03-09 03:41 UTC (History)
16 users (show)

Fixed In Version: libgcrypt 1.6.3, GnuPG 1.4.19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Comment 1 Vasyl Kaigorodov 2015-03-03 13:21:16 UTC
As per the upstream, to update a GnuPG 2.0 or 2.1 version you need to update the shared library Libgcrypt to version 1.6.3. Adjusting whiteboard.

Comment 2 Vasyl Kaigorodov 2015-03-03 13:24:03 UTC
Created gnupg tracking bugs for this issue:

Affects: fedora-all [bug 1198154]

Comment 3 Vasyl Kaigorodov 2015-03-03 13:24:06 UTC
Created libgcrypt tracking bugs for this issue:

Affects: fedora-all [bug 1198152]

Comment 4 Vasyl Kaigorodov 2015-03-03 13:24:09 UTC
Created mingw-libgcrypt tracking bugs for this issue:

Affects: fedora-all [bug 1198153]

Comment 5 Vasyl Kaigorodov 2015-03-03 13:25:18 UTC
Created mingw-libgcrypt tracking bugs for this issue:

Affects: epel-all [bug 1198156]

Comment 6 Fedora Update System 2015-03-06 06:58:04 UTC
gnupg-1.4.19-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2015-03-13 17:01:51 UTC
libgcrypt-1.6.3-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2015-03-13 17:12:50 UTC
gnupg-1.4.19-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2015-03-14 09:15:59 UTC
gnupg-1.4.19-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2015-03-18 10:23:47 UTC
libgcrypt-1.6.3-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Huzaifa S. Sidhpurwala 2015-06-02 07:14:09 UTC
Statement:

Red Hat Product Security has rated this issue as having low security impact, a future update may address this flaw in the libgcrypt and gnupg2 packages.

Comment 12 Huzaifa S. Sidhpurwala 2020-03-09 03:41:03 UTC
Mitigation:

In order to successfully exploit this flaw the attacker needs to following conditions:
1. They need to be very close to the system, in order to record the fluctuations in the electromagnetic waves being emitted by the system.
2. The attacker needs to send specially-crafted cipher text to the system for decryption.
3. The attacker needs to record the electromagnetic fluctuations when these cipher texts are being decrypted.

The above conditions can be true only when a laptop is being used for decryption in an unsafe external environment. Typical server setups may not be vulnerable.


Note You need to log in before you can comment on or make changes to this bug.